package com.ss.android.ugc.aweme.services;

import X.C1718MuH;
import X.C2463NFa;
import X.C4087NrO;
import X.M12;
import X.NCK;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.shortvideo.ShortVideoContext;
import java.lang.reflect.Type;

public final class InternalRecordServiceImpl$$special$$inlined$singleton$3 extends C1718MuH<C2463NFa> {
    static {
        Covode.recordClassIndex(105091);
    }

    public final C2463NFa get(C4087NrO nrO) {
        M12.LIZ(nrO);
        return NCK.LIZ((ShortVideoContext) nrO.LIZ((Type) ShortVideoContext.class, (String) null));
    }
}
